Subject: Re: bug#77715: [PATCH] Add ring-bell functions for mode line and header line.

From: Elijah Gabe Pérez <[email-masked]>
Date: Thu, 10 Apr 2025 12:53:46 -0600

Drew Adams via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

>> There have been third-party packages that make this, however many of
>> them diverge either in features or in faces.
>> 
>> I think Emacs should have had this built-in.
>
> One alternative (it could be built-in):
>
> https://www.emacswiki.org/emacs/download/echo-bell.el
>
> It uses a defcustom instead of a defface, to define the background color for the string shown. The string is also a defcustom: "♪♪♪♪♪♪♪♪♪" by default. A third option is the number of seconds to show the string.

I'm not sure about using the echo area, when working with multiple
windows (and on large screens), the eyes tend to be more focused on
where the cursor or window is.

Another alternative would be flash other faces too, such as Ship config
does.  I have it almost ready.

-- 
                                          - E.G via GNU Emacs and Org.